// Code generated by protoc-gen-go. DO NOT EDIT.
// source: proto/node/node.proto

package node

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	math "math"
)

import (
	client "github.com/micro/go-micro/client"
	server "github.com/micro/go-micro/server"
	context "golang.org/x/net/context"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type Node struct {
	Id                   string      `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Name                 string      `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Type                 string      `protobuf:"bytes,3,opt,name=type,proto3" json:"type,omitempty"`
	Coordinate           *Coordinate `protobuf:"bytes,4,opt,name=coordinate,proto3" json:"coordinate,omitempty"`
	FloorID              string      `protobuf:"bytes,5,opt,name=floorID,proto3" json:"floorID,omitempty"`
	Details              *Details    `protobuf:"bytes,6,opt,name=details,proto3" json:"details,omitempty"`
	Neighbors            []string    `protobuf:"bytes,7,rep,name=neighbors,proto3" json:"neighbors,omitempty"`
	SortBy               string      `protobuf:"bytes,8,opt,name=sortBy,proto3" json:"sortBy,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-"`
	XXX_unrecognized     []byte      `json:"-"`
	XXX_sizecache        int32       `json:"-"`
}

func (m *Node) Reset()         { *m = Node{} }
func (m *Node) String() string { return proto.CompactTextString(m) }
func (*Node) ProtoMessage()    {}
func (*Node) Descriptor() ([]byte, []int) {
	return fileDescriptor_2b558ce09c246314, []int{0}
}

func (m *Node) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Node.Unmarshal(m, b)
}
func (m *Node) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Node.Marshal(b, m, deterministic)
}
func (m *Node) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Node.Merge(m, src)
}
func (m *Node) XXX_Size() int {
	return xxx_messageInfo_Node.Size(m)
}
func (m *Node) XXX_DiscardUnknown() {
	xxx_messageInfo_Node.DiscardUnknown(m)
}

var xxx_messageInfo_Node proto.InternalMessageInfo

func (m *Node) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Node) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Node) GetType() string {
	if m != nil {
		return m.Type
	}
	return ""
}

func (m *Node) GetCoordinate() *Coordinate {
	if m != nil {
		return m.Coordinate
	}
	return nil
}

func (m *Node) GetFloorID() string {
	if m != nil {
		return m.FloorID
	}
	return ""
}

func (m *Node) GetDetails() *Details {
	if m != nil {
		return m.Details
	}
	return nil
}

func (m *Node) GetNeighbors() []string {
	if m != nil {
		return m.Neighbors
	}
	return nil
}

func (m *Node) GetSortBy() string {
	if m != nil {
		return m.SortBy
	}
	return ""
}

type Coordinate struct {
	X                    float64  `protobuf:"fixed64,1,opt,name=x,proto3" json:"x,omitempty"`
	Y                    float64  `protobuf:"fixed64,2,opt,name=y,proto3" json:"y,omitempty"`
	Z                    float64  `protobuf:"fixed64,3,opt,name=z,proto3" json:"z,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Coordinate) Reset()         { *m = Coordinate{} }
func (m *Coordinate) String() string { return proto.CompactTextString(m) }
func (*Coordinate) ProtoMessage()    {}
func (*Coordinate) Descriptor() ([]byte, []int) {
	return fileDescriptor_2b558ce09c246314, []int{1}
}

func (m *Coordinate) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Coordinate.Unmarshal(m, b)
}
func (m *Coordinate) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Coordinate.Marshal(b, m, deterministic)
}
func (m *Coordinate) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Coordinate.Merge(m, src)
}
func (m *Coordinate) XXX_Size() int {
	return xxx_messageInfo_Coordinate.Size(m)
}
func (m *Coordinate) XXX_DiscardUnknown() {
	xxx_messageInfo_Coordinate.DiscardUnknown(m)
}

var xxx_messageInfo_Coordinate proto.InternalMessageInfo

func (m *Coordinate) GetX() float64 {
	if m != nil {
		return m.X
	}
	return 0
}

func (m *Coordinate) GetY() float64 {
	if m != nil {
		return m.Y
	}
	return 0
}

func (m *Coordinate) GetZ() float64 {
	if m != nil {
		return m.Z
	}
	return 0
}

type Details struct {
	Description          string        `protobuf:"bytes,1,opt,name=description,proto3" json:"description,omitempty"`
	Logoid               string        `protobuf:"bytes,2,opt,name=logoid,proto3" json:"logoid,omitempty"`
	Imageid              string        `protobuf:"bytes,3,opt,name=imageid,proto3" json:"imageid,omitempty"`
	OpeningHours         *OpeningHours `protobuf:"bytes,4,opt,name=openingHours,proto3" json:"openingHours,omitempty"`
	Location             string        `protobuf:"bytes,5,opt,name=location,proto3" json:"location,omitempty"`
	Category             string        `protobuf:"bytes,6,opt,name=category,proto3" json:"category,omitempty"`
	Tags                 []string      `protobuf:"bytes,7,rep,name=tags,proto3" json:"tags,omitempty"`
	XXX_NoUnkeyedLiteral struct{}      `json:"-"`
	XXX_unrecognized     []byte        `json:"-"`
	XXX_sizecache        int32         `json:"-"`
}

func (m *Details) Reset()         { *m = Details{} }
func (m *Details) String() string { return proto.CompactTextString(m) }
func (*Details) ProtoMessage()    {}
func (*Details) Descriptor() ([]byte, []int) {
	return fileDescriptor_2b558ce09c246314, []int{2}
}

func (m *Details) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Details.Unmarshal(m, b)
}
func (m *Details) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Details.Marshal(b, m, deterministic)
}
func (m *Details) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Details.Merge(m, src)
}
func (m *Details) XXX_Size() int {
	return xxx_messageInfo_Details.Size(m)
}
func (m *Details) XXX_DiscardUnknown() {
	xxx_messageInfo_Details.DiscardUnknown(m)
}

var xxx_messageInfo_Details proto.InternalMessageInfo

func (m *Details) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

func (m *Details) GetLogoid() string {
	if m != nil {
		return m.Logoid
	}
	return ""
}

func (m *Details) GetImageid() string {
	if m != nil {
		return m.Imageid
	}
	return ""
}

func (m *Details) GetOpeningHours() *OpeningHours {
	if m != nil {
		return m.OpeningHours
	}
	return nil
}

func (m *Details) GetLocation() string {
	if m != nil {
		return m.Location
	}
	return ""
}

func (m *Details) GetCategory() string {
	if m != nil {
		return m.Category
	}
	return ""
}

func (m *Details) GetTags() []string {
	if m != nil {
		return m.Tags
	}
	return nil
}

type OpeningHours struct {
	Sunday               string   `protobuf:"bytes,1,opt,name=sunday,proto3" json:"sunday,omitempty"`
	Monday               string   `protobuf:"bytes,2,opt,name=monday,proto3" json:"monday,omitempty"`
	Tuesday              string   `protobuf:"bytes,3,opt,name=tuesday,proto3" json:"tuesday,omitempty"`
	Wednesday            string   `protobuf:"bytes,4,opt,name=wednesday,proto3" json:"wednesday,omitempty"`
	Thursday             string   `protobuf:"bytes,5,opt,name=thursday,proto3" json:"thursday,omitempty"`
	Friday               string   `protobuf:"bytes,6,opt,name=friday,proto3" json:"friday,omitempty"`
	Saturday             string   `protobuf:"bytes,7,opt,name=saturday,proto3" json:"saturday,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *OpeningHours) Reset()         { *m = OpeningHours{} }
func (m *OpeningHours) String() string { return proto.CompactTextString(m) }
func (*OpeningHours) ProtoMessage()    {}
func (*OpeningHours) Descriptor() ([]byte, []int) {
	return fileDescriptor_2b558ce09c246314, []int{3}
}

func (m *OpeningHours) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_OpeningHours.Unmarshal(m, b)
}
func (m *OpeningHours) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_OpeningHours.Marshal(b, m, deterministic)
}
func (m *OpeningHours) XXX_Merge(src proto.Message) {
	xxx_messageInfo_OpeningHours.Merge(m, src)
}
func (m *OpeningHours) XXX_Size() int {
	return xxx_messageInfo_OpeningHours.Size(m)
}
func (m *OpeningHours) XXX_DiscardUnknown() {
	xxx_messageInfo_OpeningHours.DiscardUnknown(m)
}

var xxx_messageInfo_OpeningHours proto.InternalMessageInfo

func (m *OpeningHours) GetSunday() string {
	if m != nil {
		return m.Sunday
	}
	return ""
}

func (m *OpeningHours) GetMonday() string {
	if m != nil {
		return m.Monday
	}
	return ""
}

func (m *OpeningHours) GetTuesday() string {
	if m != nil {
		return m.Tuesday
	}
	return ""
}

func (m *OpeningHours) GetWednesday() string {
	if m != nil {
		return m.Wednesday
	}
	return ""
}

func (m *OpeningHours) GetThursday() string {
	if m != nil {
		return m.Thursday
	}
	return ""
}

func (m *OpeningHours) GetFriday() string {
	if m != nil {
		return m.Friday
	}
	return ""
}

func (m *OpeningHours) GetSaturday() string {
	if m != nil {
		return m.Saturday
	}
	return ""
}

type NodeResponse struct {
	Node                 *Node    `protobuf:"bytes,1,opt,name=node,proto3" json:"node,omitempty"`
	Nodes                []*Node  `protobuf:"bytes,2,rep,name=nodes,proto3" json:"nodes,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *NodeResponse) Reset()         { *m = NodeResponse{} }
func (m *NodeResponse) String() string { return proto.CompactTextString(m) }
func (*NodeResponse) ProtoMessage()    {}
func (*NodeResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_2b558ce09c246314, []int{4}
}

func (m *NodeResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_NodeResponse.Unmarshal(m, b)
}
func (m *NodeResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_NodeResponse.Marshal(b, m, deterministic)
}
func (m *NodeResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_NodeResponse.Merge(m, src)
}
func (m *NodeResponse) XXX_Size() int {
	return xxx_messageInfo_NodeResponse.Size(m)
}
func (m *NodeResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_NodeResponse.DiscardUnknown(m)
}

var xxx_messageInfo_NodeResponse proto.InternalMessageInfo

func (m *NodeResponse) GetNode() *Node {
	if m != nil {
		return m.Node
	}
	return nil
}

func (m *NodeResponse) GetNodes() []*Node {
	if m != nil {
		return m.Nodes
	}
	return nil
}

func init() {
	proto.RegisterType((*Node)(nil), "node.Node")
	proto.RegisterType((*Coordinate)(nil), "node.Coordinate")
	proto.RegisterType((*Details)(nil), "node.Details")
	proto.RegisterType((*OpeningHours)(nil), "node.OpeningHours")
	proto.RegisterType((*NodeResponse)(nil), "node.NodeResponse")
}

func init() { proto.RegisterFile("proto/node/node.proto", fileDescriptor_2b558ce09c246314) }

var fileDescriptor_2b558ce09c246314 = []byte{
	// 503 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x8c, 0x53, 0xc1, 0x6e, 0x13, 0x3d,
	0x10, 0xfe, 0x9d, 0xa4, 0x49, 0x33, 0xc9, 0x8f, 0x2a, 0x4b, 0xa0, 0x55, 0x85, 0xd0, 0x6a, 0x2f,
	0xe4, 0xd4, 0xa2, 0x80, 0x7a, 0xa7, 0x44, 0x94, 0x5e, 0xa0, 0x5a, 0x9e, 0x60, 0x1b, 0x4f, 0xb7,
	0x96, 0x36, 0x76, 0x64, 0x3b, 0xd0, 0xed, 0xfb, 0xf0, 0x2a, 0xbc, 0x07, 0x47, 0xde, 0x02, 0xcd,
	0xd8, 0x9b, 0x2c, 0x5c, 0xe0, 0x92, 0xf8, 0xfb, 0x3e, 0xcf, 0x78, 0xbe, 0xcf, 0x5e, 0x78, 0xba,
	0x75, 0x36, 0xd8, 0x73, 0x63, 0x15, 0xf2, 0xcf, 0x19, 0x63, 0x39, 0xa2, 0x75, 0xf1, 0x53, 0xc0,
	0xe8, 0xa3, 0x55, 0x28, 0x9f, 0xc0, 0x40, 0xab, 0x4c, 0xe4, 0x62, 0x31, 0x2d, 0x07, 0x5a, 0x49,
	0x09, 0x23, 0x53, 0x6d, 0x30, 0x1b, 0x30, 0xc3, 0x6b, 0xe2, 0x42, 0xbb, 0xc5, 0x6c, 0x18, 0x39,
	0x5a, 0xcb, 0x57, 0x00, 0x6b, 0x6b, 0x9d, 0xd2, 0xa6, 0x0a, 0x98, 0x8d, 0x72, 0xb1, 0x98, 0x2d,
	0x4f, 0xce, 0xf8, 0x9c, 0x77, 0x7b, 0xbe, 0xec, 0xed, 0x91, 0x19, 0x4c, 0xee, 0x1a, 0x6b, 0xdd,
	0xf5, 0x2a, 0x3b, 0xe2, 0x46, 0x1d, 0x94, 0x2f, 0x61, 0xa2, 0x30, 0x54, 0xba, 0xf1, 0xd9, 0x98,
	0x1b, 0xfd, 0x1f, 0x1b, 0xad, 0x22, 0x59, 0x76, 0xaa, 0x7c, 0x0e, 0x53, 0x83, 0xba, 0xbe, 0xbf,
	0xb5, 0xce, 0x67, 0x93, 0x7c, 0xb8, 0x98, 0x96, 0x07, 0x42, 0x3e, 0x83, 0xb1, 0xb7, 0x2e, 0x5c,
	0xb6, 0xd9, 0x31, 0xf7, 0x4f, 0xa8, 0xb8, 0x00, 0x38, 0x8c, 0x24, 0xe7, 0x20, 0x1e, 0xd8, 0xaf,
	0x28, 0xc5, 0x03, 0xa1, 0x96, 0xbd, 0x8a, 0x52, 0xb4, 0x84, 0x1e, 0xd9, 0xa5, 0x28, 0xc5, 0x63,
	0xf1, 0x43, 0xc0, 0x24, 0x8d, 0x20, 0x73, 0x98, 0x29, 0xf4, 0x6b, 0xa7, 0xb7, 0x41, 0x5b, 0x93,
	0xf2, 0xea, 0x53, 0x74, 0x7a, 0x63, 0x6b, 0xab, 0x55, 0x8a, 0x2e, 0x21, 0xb2, 0xad, 0x37, 0x55,
	0x8d, 0x5a, 0xa5, 0xfc, 0x3a, 0x28, 0x2f, 0x60, 0x6e, 0xb7, 0x68, 0xb4, 0xa9, 0x3f, 0xd8, 0x9d,
	0xf3, 0x29, 0x44, 0x19, 0xbd, 0x7f, 0xea, 0x29, 0xe5, 0x6f, 0xfb, 0xe4, 0x29, 0x1c, 0x37, 0x76,
	0x5d, 0xf1, 0x20, 0x31, 0xc9, 0x3d, 0x26, 0x6d, 0x5d, 0x05, 0xac, 0xad, 0x6b, 0x39, 0xcb, 0x69,
	0xb9, 0xc7, 0x7c, 0x8d, 0x55, 0xdd, 0x05, 0xc7, 0xeb, 0xe2, 0xbb, 0x80, 0x79, 0xff, 0x28, 0x0e,
	0x71, 0x67, 0x54, 0xd5, 0x26, 0x8f, 0x09, 0x11, 0xbf, 0xb1, 0xcc, 0x27, 0x7b, 0x11, 0x91, 0xbd,
	0xb0, 0x43, 0x4f, 0x42, 0xb2, 0x97, 0x20, 0x5d, 0xd6, 0x57, 0x54, 0x26, 0x6a, 0x23, 0xd6, 0x0e,
	0x04, 0x0d, 0x1a, 0xee, 0x77, 0x8e, 0xc5, 0x64, 0xa2, 0xc3, 0x74, 0xd6, 0x9d, 0xd3, 0xa4, 0x44,
	0x0b, 0x09, 0x51, 0x8d, 0xaf, 0xc2, 0xce, 0x91, 0x32, 0x89, 0x35, 0x1d, 0x2e, 0x6e, 0x60, 0x4e,
	0xef, 0xb9, 0x44, 0xbf, 0xb5, 0xc6, 0xa3, 0x7c, 0x01, 0xfc, 0xd0, 0xd9, 0xc5, 0x6c, 0x09, 0x31,
	0x54, 0xde, 0xc1, 0xbc, 0xcc, 0xe1, 0x88, 0xfe, 0x7d, 0x36, 0xc8, 0x87, 0x7f, 0x6c, 0x88, 0xc2,
	0xf2, 0x9b, 0x80, 0x19, 0xe1, 0xcf, 0xe8, 0xbe, 0xe8, 0x35, 0xca, 0x37, 0x70, 0x72, 0x85, 0x81,
	0x18, 0x7f, 0x83, 0xee, 0x3d, 0xbd, 0x5d, 0xd9, 0x2b, 0x3b, 0x95, 0xbd, 0x16, 0x69, 0x8a, 0xe2,
	0x3f, 0x79, 0x0e, 0xb3, 0x2b, 0x0c, 0x6f, 0x9b, 0x86, 0x0b, 0xff, 0xb9, 0x80, 0xc8, 0xcb, 0xf6,
	0x7a, 0xf5, 0xf7, 0x82, 0xdb, 0x31, 0x7f, 0xd7, 0xaf, 0x7f, 0x05, 0x00, 0x00, 0xff, 0xff, 0xb5,
	0xb0, 0xf2, 0x0c, 0xf0, 0x03, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ client.Option
var _ server.Option

// Client API for NodeService service

type NodeServiceClient interface {
	GetNodesPerFloor(ctx context.Context, in *Node, opts ...client.CallOption) (*NodeResponse, error)
	GetAllNodes(ctx context.Context, in *Node, opts ...client.CallOption) (*NodeResponse, error)
	GetNodeByID(ctx context.Context, in *Node, opts ...client.CallOption) (*NodeResponse, error)
}

type nodeServiceClient struct {
	c           client.Client
	serviceName string
}

func NewNodeServiceClient(serviceName string, c client.Client) NodeServiceClient {
	if c == nil {
		c = client.NewClient()
	}
	if len(serviceName) == 0 {
		serviceName = "node"
	}
	return &nodeServiceClient{
		c:           c,
		serviceName: serviceName,
	}
}

func (c *nodeServiceClient) GetNodesPerFloor(ctx context.Context, in *Node, opts ...client.CallOption) (*NodeResponse, error) {
	req := c.c.NewRequest(c.serviceName, "NodeService.GetNodesPerFloor", in)
	out := new(NodeResponse)
	err := c.c.Call(ctx, req, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nodeServiceClient) GetAllNodes(ctx context.Context, in *Node, opts ...client.CallOption) (*NodeResponse, error) {
	req := c.c.NewRequest(c.serviceName, "NodeService.GetAllNodes", in)
	out := new(NodeResponse)
	err := c.c.Call(ctx, req, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nodeServiceClient) GetNodeByID(ctx context.Context, in *Node, opts ...client.CallOption) (*NodeResponse, error) {
	req := c.c.NewRequest(c.serviceName, "NodeService.GetNodeByID", in)
	out := new(NodeResponse)
	err := c.c.Call(ctx, req, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for NodeService service

type NodeServiceHandler interface {
	GetNodesPerFloor(context.Context, *Node, *NodeResponse) error
	GetAllNodes(context.Context, *Node, *NodeResponse) error
	GetNodeByID(context.Context, *Node, *NodeResponse) error
}

func RegisterNodeServiceHandler(s server.Server, hdlr NodeServiceHandler, opts ...server.HandlerOption) {
	s.Handle(s.NewHandler(&NodeService{hdlr}, opts...))
}

type NodeService struct {
	NodeServiceHandler
}

func (h *NodeService) GetNodesPerFloor(ctx context.Context, in *Node, out *NodeResponse) error {
	return h.NodeServiceHandler.GetNodesPerFloor(ctx, in, out)
}

func (h *NodeService) GetAllNodes(ctx context.Context, in *Node, out *NodeResponse) error {
	return h.NodeServiceHandler.GetAllNodes(ctx, in, out)
}

func (h *NodeService) GetNodeByID(ctx context.Context, in *Node, out *NodeResponse) error {
	return h.NodeServiceHandler.GetNodeByID(ctx, in, out)
}
